Loading...
Searching...
No Matches
BALL::RandomCoilShiftProcessor Class Reference
Molecular Modeling » Nuclear Magnetic Resonance Spectroscopy » Shift modules

`#include <BALL/NMR/randomCoilShiftProcessor.h>`

Inheritance diagram for BALL::RandomCoilShiftProcessor:

## Public Member Functions

Constructors and Destructors
| RandomCoilShiftProcessor ()
| RandomCoilShiftProcessor (const RandomCoilShiftProcessor &processor)
virtual | ~RandomCoilShiftProcessor ()
Accessors
virtual void | init ()
Public Member Functions inherited from BALL::ShiftModule
| ShiftModule ()
| ShiftModule (Parameters &parameters, const String &name="")
| ShiftModule (const ShiftModule &module)
virtual | ~ShiftModule ()
virtual void | clear ()
const ShiftModule & | operator= (const ShiftModule &module)
void | setName (const String &name)
const String & | getName () const
void | setParameters (Parameters &parameters)
const Parameters * | getParameters () const
virtual bool | start ()
virtual bool | finish ()
bool | isValid () const
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Static Public Attributes

Enums and Constants
static const char * | PROPERTY__RANDOM_COIL_SHIFT
Static Public Attributes inherited from BALL::ShiftModule
static const char * | PROPERTY__SHIFT
static const char * | PROPERTY__EXPERIMENTAL__SHIFT

## Processor specific functions.

StringHashMap< float > | shift_map_
virtual Processor::Result | operator() (Composite &composite)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
String | module_name_
Parameters * | parameters_
bool | valid_

## Detailed Description

Random coil shift assignment processor.

Definition at line 20 of file randomCoilShiftProcessor.h.

## Constructor & Destructor Documentation

## RandomCoilShiftProcessor() [1/2]

BALL::RandomCoilShiftProcessor::RandomCoilShiftProcessor | ( |  | ) |

Default constructor.

## RandomCoilShiftProcessor() [2/2]

BALL::RandomCoilShiftProcessor::RandomCoilShiftProcessor | ( | const RandomCoilShiftProcessor & | processor | ) |

Copy constructor.

## ~RandomCoilShiftProcessor()

virtual BALL::RandomCoilShiftProcessor::~RandomCoilShiftProcessor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## init()

virtual void BALL::RandomCoilShiftProcessor::init | ( |  | ) |

virtual

Initialize the module. This method fails if no Parameters object was assigned or the parameter file does not contain the proper section (RandomCoilShifts). The random coil shift as read from the parameter file are stored in {\tt shift_map_}. If the method terminates correctly, the module is valid.

See also
  isValid

Reimplemented from BALL::ShiftModule.

## operator()()

virtual Processor::Result BALL::RandomCoilShiftProcessor::operator() | ( | Composite & | composite | ) |

virtual

Application method. For all atom objects, the random coil shift contribution as read from the parameter files is determined, stored in the named property RandomCoilShiftProcessor::PROPERTY__RANDOM_COIL_SHIFT, and added to the total chemical shift contribution, stored in the named property ShiftModule::PROPERTY__SHIFT .

Reimplemented from BALL::UnaryProcessor< Composite >.

## Member Data Documentation

## PROPERTY__RANDOM_COIL_SHIFT

const char* BALL::RandomCoilShiftProcessor::PROPERTY__RANDOM_COIL_SHIFT

static

A symbolic name for the random coil contribution to the chemical shift

See also
  ShiftModule::PROPERTY__SHIFT

Definition at line 34 of file randomCoilShiftProcessor.h.

## shift_map_

StringHashMap<float> BALL::RandomCoilShiftProcessor::shift_map_

protected

Definition at line 87 of file randomCoilShiftProcessor.h.